Name:           laigter
Version:        1.12.1
Release:        %mkrel 1
Summary:        Tool to generate normal, specular and parallax maps for 2D textures
Group:          Development/Tools
License:        GPLv3+
URL:            https://azagaya.itch.io/laigter
Source0:        https://github.com/azagaya/laigter/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  pkgconfig(Qt6Concurrent)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Network)
BuildRequires:  pkgconfig(Qt6OpenGLWidgets)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  qt6-qttools

%description
Laigter is a tool that automatically generates maps for dynamic lighting effects
in games. It allows normal, parallax, specular and occlusion map generation.
Also, it allows the user to preview how the effect will look ingame.

%prep
%autosetup -p1

%build
%qmake_qt6 PREFIX=%{buildroot}%{_prefix}
%make_build

%install
%make_install

%files
%doc README.md
%license ACKNOWLEDGEMENTS LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_datadir}/mime/packages/x-%{name}-project.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Nov 12 2024 daviddavid <daviddavid> 1.12.1-1.mga10
+ Revision: 2114648
- new version: 1.12.1
- switch to Qt6

* Wed Aug 30 2023 akien <akien> 1.11.0-1.mga10
+ Revision: 1981714
- Version 1.11.0

* Wed Nov 02 2022 ghibo <ghibo> 1.10.2-5.mga9
+ Revision: 1901476
- Rebuild for newer opencv

* Tue Nov 01 2022 ghibo <ghibo> 1.10.2-4.mga9
+ Revision: 1900940
- Rebuild against opencv 4.6.0

* Sun Apr 03 2022 umeabot <umeabot> 1.10.2-3.mga9
+ Revision: 1842098
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.10.2-2.mga8
+ Revision: 1658864
- Rebuild for new Qt5

* Thu Oct 22 2020 akien <akien> 1.10.2-1.mga8
+ Revision: 1638488
- Version 1.10.2

* Mon Jul 27 2020 akien <akien> 1.10.1-1.mga8
+ Revision: 1609286
- Version 1.10.1

* Thu Feb 20 2020 umeabot <umeabot> 1.8-2.mga8
+ Revision: 1545627
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 1.8-1.mga8
+ Revision: 1485043
- new version: 1.8
- add include QVector2D for compatibility with Qt 5.14
- rebuild for new opencv 4.2.0

* Thu Oct 10 2019 akien <akien> 1.7-1.mga8
+ Revision: 1451047
- imported package laigter

